puppet-foreman uses deprecated fact $::selinux

12/01/2015 09:25 PM - Brandon Weeks

Status: Rejected   

Priority: Normal   

Assignee: Brandon Weeks   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/378

  

Description

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Evaluation Error: Error while evaluating a Function

Call, str2bool(): Unknown type of boolean given at foreman/manifests/install.pp:37:30 on node foreman.localdomain

 While attempting to discover the root cause of this error I determined that Puppet was returning "permissive" instead of a boolean for

$::selinux. It's unclear to me exactly why this is happening, it however did lead me to discover that $::selinux has be deprecated and

replaced by $::selinux_enforced

https://docs.puppetlabs.com/facter/3.1/core_facts.html#selinux

Related issues:

Related to Installer - Bug #15500: theforeman/foreman puppet module fails bec... Rejected 06/22/2016

History

#1 - 12/01/2015 09:50 PM - Brandon Weeks

- Assignee set to Brandon Weeks

- Pull request https://github.com/theforeman/puppet-foreman/pull/378 added

For what it's worth, it fixed our issue. Still no idea what the root cause was.

#2 - 12/03/2015 08:49 PM - Brandon Weeks

- Status changed from New to Rejected

closing as invalid based on discussion on the PR.

#3 - 06/22/2016 12:30 PM - Alex Fisher

- Related to Bug #15500: theforeman/foreman puppet module fails because selinux fact isn't always a boolean added
